<?php 
// 页头 SEO 相关
if(!defined('THEME_NAME')) die('非法访问 - Insufficient Permissions');
?><title><?php 

// 连接符
$title_con_char = stripslashes(mk_theme_option('title_con_char'));
$blog_title     = get_bloginfo();   // 博客名

// 根据不同的页面输出不同的标题
if ( is_home() )    // 博客首页
{
    echo $blog_title . $title_con_char. get_bloginfo ( 'description' ); 
} 
else if ( is_single() || is_page())  // 文章页 和 单页
{        
    echo trim(wp_title('', false)); 
} 
else if ( is_category() )    // 文章分类
{ 
    single_cat_title(); 
} 
else if ( is_tag() )         // 标签
{ 
    single_tag_title(); 
} 
else if ( is_search() )      // 搜索结果页面
{ 
    echo get_search_query().' 的搜索结果'; 
} 
else if ( is_year() )        // 某年的文章
{ 
    the_time('Y年'); echo '所有文章'; 
}
else if ( is_month() )       // 某月的文章
{     
    the_time('F'); echo '份所有文章'; 
}
else if ( is_day() )         // 某一天的文章
{ 
    the_time('Y年n月j日'); echo '所有文章'; 
}
else if ( is_404() )         // 404 页面
{ 
    echo '404 - 页面不存在'; 
}
else if ( is_author() )      // 作者页面
{
    echo wp_title('', false) . ' 的所有文章';
}
else                        // 其它
{
    wp_title('');
}


// 非首页，都加上后缀
if (!is_home()) {
    // 页码信息
    if (get_query_var('paged')) {
        echo $title_con_char.'第'.get_query_var('paged').'页';
    }
    // 连接符和博客名
    echo $title_con_char . $blog_title;
}
?></title>
<?php
if(is_single() || is_page()) {   // 单页或文章页
    date_default_timezone_set('PRC');
    
    // 描述
    $description = get_post_meta($post->ID, 'description', true);
    if(!$description) {
        $description = mk_post_excerpt(100, '...', true);
    }
    
    // 关键字
    $keywords = get_post_meta($post->ID, 'keywords', true);
    $tags = wp_get_post_tags($post->ID);
    foreach ($tags as $tag ) {              // 加上关键词
        $keywords = $keywords . $tag->name . ",";
    }
    foreach((get_the_category()) as $category){     // 加上文章分类
        $keywords = $keywords.$category->cat_name.',';
    }
    $keywords = rtrim($keywords, ',');  // 去除最后面一个逗号
    $keywords = htmlspecialchars($keywords);
    
    // 文章作者
    $article_auth = get_post_meta($post->ID, 'article_auth', true);     
?>
<meta property="article:published_time" content="<?php echo get_the_date('c');?>"/>
<?php if (!empty($article_auth)) { ?>	 
<meta property="article:author" content="<?php echo $article_auth; ?>" /> 
<?php } ?>
<meta property="article:author" content="<?php echo $blog_title;?>" /> 
<meta property="article:published_first" content="<?php echo $blog_title;?>,<?php the_permalink();?>" />
<meta property="og:type" content="article"/>
<meta property="og:image" content="<?php echo mk_auto_post_thumbnail(360, 240); ?>" />
<meta property="og:release_date" content="<?php echo get_the_date('c');?>"/>
<meta property="og:title" content="<?php echo trim(wp_title('', false)) . $title_con_char . $blog_title; ?>" />
<meta property="og:description" content="<?php echo $description;?>" />
<meta name="description" content="<?php echo $description;?>" />
<meta name="keywords" content="<?php echo $keywords;?>" />
<?php 
} else if(is_category()) {    
    // 分类页 SEO 标签
?>
<meta name="description" content="<?php echo category_description(); ?>" />
<meta name="keywords" content="<?php single_cat_title(); ?>" />
<?php 
} else if(is_tag()) {     
    // 标签页 SEO 标签
?>
<meta name="description" content="<?php echo trim(strip_tags(tag_description())); ?>" />
<meta name="keywords" content="<?php echo single_tag_title(); ?>" />
<?php 
} else if(is_home()) {    
    // 首页 SEO 标签
?>
<meta name="description" content="<?php echo mk_theme_option('site_description'); ?>" />
<meta name="keywords" content="<?php echo mk_theme_option('site_keywords'); ?>" />
<?php } ?>