<?php
/**
 * Template Name: [主题已自动创建]搜索页面
 */
get_header(); ?>

<style>
.search-form {
    margin: .8em auto 2.4em;
}

/* 搜索标签区域 */
.search-tags {
    padding: 1.25em 1.25em .8em;
    margin-bottom: 0.4em;
}
.search-tags label {
    display: inline-block;
    margin: 0 0.8em 1em 0;
}
.search-tags .fa {
    color: #b3b2b2;
}
.search-tags .links {
    border: none;
    margin-left: 0.18em;
}
</style>

<?php
mk_header_banner('搜索', '找一找你想要的内容');
?>

<section class="width-short" style="min-height: 200px;">
    <!-- 搜索框 -->
    <div class="search-form">
        <form id="search" class="mk-side-form" method="get" action="<?php echo get_option('home'); ?>" role="search">
            <input type="text" id="wp_search" name="s" placeholder="Search..." maxlength="30" autocomplete="off" title="你想找什么？" required="true">
            <button type="submit">找找看</button>
        </form>
    </div>
    
    <?php 
    $tags_list = get_tags('orderby=count&order=DESC&number=20');
    if ($tags_list) :
    ?>
    <!-- 常用标签 -->
    <fieldset class="search-tags">
        <legend>常用标签</legend>
        <?php
        foreach($tags_list as $tag) {
            echo '
            <label>
                <i class="fa fa-tag" aria-hidden="true"></i>
                <a class="links" href="'.get_tag_link($tag).'">'. $tag->name .'('. $tag->count .')</a>
            </label>'; 
        } 
        ?>
    </fieldset>
    <?php endif; ?>
</section>  <!-- .width-short -->
<?php get_footer();?>